Name: middleman
Version: 1.9.1
Release: alt1

%define shortname mman

Summary: Robust proxy server with content filtering features
License: GPL
Group: Networking/WWW
Url: http://middle-man.sf.net/

Source: %name-%version.tar.gz
Source1: %shortname.init
Patch1: %name-%version-alt-makefile-fix.patch

BuildPreReq: libpcre-devel zlib-devel

%description
Middleman  is  a  robust  proxy  server with many features designed to
remove  unwanted content, increase privacy, and to simply make surfing
the  Web  a  more  pleasant  experience.  Some  of  the  highlights of
Middleman  include  banner  and  popup  blocking, HTTP and FTP content
caching, NTLM and Basic authentication when forwarding through another
proxy  server, regular expression substitution in downloaded files and
HTTP headers, regular expression substitution on requested URL's, many
URL  commands  to  temporarily  change  the  proxy settings or to view
information  about  a  requested  file,  complete support for HTTP/1.1
including  persistent  connections and gzip encoding, and an intuitive
Web interface for configuring the proxy.


%prep
%setup -q -n %name
%__rm -rfv pcre
%patch1 -p1

%build
%add_optflags -I%_includedir/pcre
%configure \
    --enable-syslog \
    --disable-pam
%make -j1

%install
%makeinstall
%__mkdir_p $RPM_BUILD_ROOT{%_cachedir/%shortname,%_var/run/%name}
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%shortname
%__mv $RPM_BUILD_ROOT%_sysconfdir/%shortname/config.xml.sample $RPM_BUILD_ROOT%_sysconfdir/%shortname/config.xml
	
%post
%post_service %shortname

%preun
%preun_service %shortname

%files
%_bindir/*
%_mandir/man?/%{shortname}*
%dir %_cachedir/%shortname
%config(noreplace) %_sysconfdir/%shortname/config.xml
%config %_initdir/%shortname
%doc AUTHORS CHANGELOG COPYING README.html TODO

%changelog
* Wed Nov 12 2003 Andrey Rahmatullin <wrar@altlinux.ru> 1.9.1-alt1
- new version
- now it really builds with external pcre
- initscript cleanup

* Tue Oct 21 2003 Andrey Rahmatullin <wrar@altlinux.ru> 1.9-alt4
- PAM authentification support disabled

* Mon Oct 13 2003 Andrey Rahmatullin <wrar@altlinux.ru> 1.9-alt3
- fixed build with NPROCS > 1

* Fri Oct 10 2003 Andrey Rahmatullin <wrar@altlinux.ru> 1.9-alt2
- patch renamed

* Wed Oct 08 2003 Andrey Rahmatullin <wrar@altlinux.ru> 1.9-alt1
- built for Sisyphus

